Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 384)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 385)
@@ -1465,23 +1642,192 @@
                         row.Cells[(int)DispColumn.PersonName].Style.BackColor = Color.Gainsboro;
                         row.Cells[(int)DispColumn.NoteDD].Style.BackColor = Color.Gainsboro;
 
+                        index++;
+                    }
+                }
+                // 合計行の表示
+                else if (depositOrderer.KB == 3)
+                {
+                    // 表示権限確認
+                    var visibleCheck = CheckPermission(depositOrderer);
+                    dgvMaster.Rows[position].Visible = visibleCheck;
 
-                        // 担当者承認
-                        if (depositDetail.ConfirmationEndFlg == 1)
+                    ordererRow.Cells[(int)DispColumn.KB].Value = depositOrderer.KB;
+                    ordererRow.Cells[(int)DispColumn.OrderersName].Value = "合計";
+                    ordererRow.Cells[(int)DispColumn.RequestMonth].Value = depositOrderer.RequestMonth;
+                    ordererRow.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
+                    ordererRow.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
+
+                    // 入金金額の合計を算出
+                    int tgl = 1;
+                    var DepositSum = DepositSumCalc(depositOrderer.OrderersDivision, depositOrderer.OrderersCode, depositOrderer.RequestMonth, tgl).OfType<object[]>();
+                    int SumDepositAmountCash = 0;
+                    int SumDepositAmountBill = 0;
+                    foreach (var sum in DepositSum)
+                    {
+                        SumDepositAmountCash = CommonMotions.cnvInt(sum[0]);
+                        SumDepositAmountBill = CommonMotions.cnvInt(sum[1]);
+                    }
+
+                    //請求金額合計の合計を算出
+                    var RequestSum = RequestSumCalc(depositOrderer.OrderersDivision, depositOrderer.OrderersCode, depositOrderer.RequestMonth, tgl).OfType<object[]>();
+                    int SumRequestBill = 0;
+                    int SumRequestTax = 0;
+                    foreach (var sum in RequestSum)
+                    {
+                        SumRequestBill = CommonMotions.cnvInt(sum[0]);
+                        SumRequestTax = CommonMotions.cnvInt(sum[1]);
+                    }
+                    
+                    SetPrice(ordererRow.Cells, (int)DispColumn.DepositAmountCash, (long)SumDepositAmountCash);
+                    SetPrice(ordererRow.Cells, (int)DispColumn.DepositAmountBill, (long)SumDepositAmountBill);
+
+                    // 入金明細金額の合計を算出
+                    var DepositDetailSum = DepositDetailSumCalc(depositOrderer.OrderersDivision, depositOrderer.OrderersCode, depositOrderer.RequestMonth).OfType<object[]>();
+                    int DepositAmountSum = 0;
+                    int TaxAmountSum = 0;
+                    int DiscountAmountSum = 0;
+                    int CnstrPriceSum = 0;
+                    int FeesSum = 0;
+                    int OtherAdjustmentsSum = 0;
+                    int DifferenceAmountSum = 0;
+
+                    for (int dgvRowCnt = 0; dgvRowCnt < dgvMaster.RowCount; dgvRowCnt++)
+                    {
+                        // 明細行が明細区分で発注者コードと発注者区分が同一のカラムの計算を行う。
+                        if (CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.KB].Value) == 2
+                            && CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.OrderersDivision].Value) == CommonMotions.cnvInt(ordererRow.Cells[(int)DispColumn.OrderersDivision].Value)
+                            && CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.OrderersCode].Value) == CommonMotions.cnvInt(ordererRow.Cells[(int)DispColumn.OrderersCode].Value))
                         {
-                            row.Cells[(int)DispColumn.PersonName].Style.ForeColor = Color.Red;
+                            DepositAmountSum += CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.DepositAmount].Value);
+                            TaxAmountSum += CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.TaxAmount].Value);
+                            DiscountAmountSum += CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.DiscountAmount].Value);
+                            CnstrPriceSum += CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.CnstrPrice].Value);
+                            FeesSum += CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.Fees].Value);
+                            OtherAdjustmentsSum += CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.OtherAdjustments].Value);
+                            DifferenceAmountSum += CommonMotions.cnvInt(dgvMaster.Rows[dgvRowCnt].Cells[(int)DispColumn.DifferentAmount].Value);
                         }
-                        // 担当者未承認
-                        else
-                        {
-                            row.Cells[(int)DispColumn.PersonName].Style.ForeColor = Color.Gray;
-                        }
+                    }
 
-                        index++;
+                    ordererRow.Cells[(int)DispColumn.No].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.RequestMonth].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.OrderersName].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.DepositAmountCash].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.DepositAmountBill].Style.BackColor = Color.LightGoldenrodYellow;
+
+                    ordererRow.Cells[(int)DispColumn.ConstructionCode].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.RequestNo].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.ConstructionName].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.OrderNo].Style.BackColor = Color.LightGoldenrodYellow;
+
+                    ordererRow.Cells[(int)DispColumn.TaxPrice].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.BillPrice].Style.BackColor = Color.LightGoldenrodYellow;
+                    SetPrice(ordererRow.Cells, (int)DispColumn.BillPrice, SumRequestBill);
+                    SetPrice(ordererRow.Cells, (int)DispColumn.TaxPrice, SumRequestTax);
+
+                    ordererRow.Cells[(int)DispColumn.DepositAmount].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.TaxAmount].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.DiscountAmount].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.CnstrPrice].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.Fees].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.OtherAdjustments].Style.BackColor = Color.LightGoldenrodYellow;
+                    if (DifferenceAmountSum < 0)
+                    {
+                        ordererRow.Cells[(int)DispColumn.DifferentAmount].Style.BackColor = Color.Yellow;
                     }
+                    else
+                    {
+                        ordererRow.Cells[(int)DispColumn.DifferentAmount].Style.BackColor = Color.LightGoldenrodYellow;
+                    }
+
+                    SetPrice(ordererRow.Cells, (int)DispColumn.DepositAmount, DepositAmountSum);
+                    SetPrice(ordererRow.Cells, (int)DispColumn.TaxAmount, TaxAmountSum);
+                    SetPrice(ordererRow.Cells, (int)DispColumn.DiscountAmount, DiscountAmountSum);
+                    SetPrice(ordererRow.Cells, (int)DispColumn.CnstrPrice, CnstrPriceSum);
+                    SetPrice(ordererRow.Cells, (int)DispColumn.Fees, FeesSum);
+                    SetPrice(ordererRow.Cells, (int)DispColumn.OtherAdjustments, OtherAdjustmentsSum);
+                    SetPrice(ordererRow.Cells, (int)DispColumn.DifferentAmount, DifferenceAmountSum);
+
+                    ordererRow.Cells[(int)DispColumn.DepositAmount].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.TaxAmount].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.DiscountAmount].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.CnstrPrice].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.Fees].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.OtherAdjustments].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.NoteDD].ReadOnly = true;
+
+                    ordererRow.Cells[(int)DispColumn.ConfirmationPersonCode].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.ConfirmationDate].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.ConfirmationEndFlg].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.ConstructionPersonCode].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.ConstrSubPersonCode].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.ConstructionInstructor].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.DepartmentCode].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.PersonName].Style.BackColor = Color.LightGoldenrodYellow;
+                    ordererRow.Cells[(int)DispColumn.NoteDD].Style.BackColor = Color.LightGoldenrodYellow;
                 }
+                // 空行を追加
+                else if (depositOrderer.KB == 4)
+                {
+                    // 表示権限確認
+                    var visibleCheck = CheckPermission(depositOrderer);
+                    dgvMaster.Rows[position].Visible = visibleCheck;
+
+                    ordererRow.Cells[(int)DispColumn.KB].Value = depositOrderer.KB;
+                    ordererRow.Cells[(int)DispColumn.RequestMonth].Value = depositOrderer.RequestMonth;
+                    ordererRow.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
+                    ordererRow.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
+
+                    ordererRow.Cells[(int)DispColumn.No].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.RequestMonth].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.OrderersName].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.DepositAmountCash].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.DepositAmountBill].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.ConstructionCode].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.RequestNo].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.ConstructionName].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.OrderNo].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.TaxPrice].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.BillPrice].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.DepositAmount].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.TaxAmount].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.DiscountAmount].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.CnstrPrice].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.Fees].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.OtherAdjustments].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.DifferentAmount].Style.BackColor = Color.White;
+
+                    ordererRow.Cells[(int)DispColumn.DepositAmount].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.TaxAmount].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.DiscountAmount].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.CnstrPrice].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.Fees].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.OtherAdjustments].ReadOnly = true;
+                    ordererRow.Cells[(int)DispColumn.NoteDD].ReadOnly = true;
+
+                    ordererRow.Cells[(int)DispColumn.ConfirmationPersonCode].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.ConfirmationDate].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.ConfirmationEndFlg].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.ConstructionPersonCode].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.ConstrSubPersonCode].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.ConstructionInstructor].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.DepartmentCode].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.PersonName].Style.BackColor = Color.White;
+                    ordererRow.Cells[(int)DispColumn.NoteDD].Style.BackColor = Color.White;
+                }
+                // 明細行の表示
                 else
                 {
+
+                    // 表示権限のチェックを行う
+                    if (CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision && 
+                        m_UserInfo.m_Type != CommonDefine.SecurityRankPos.SpecialAuthority)
+                    {
+                        var visibleCheck = CheckDepositDetailPermission(depositOrderer);
+                        dgvMaster.Rows[position].Visible = visibleCheck;
+                    }
+
+                    ordererRow.Cells[(int)DispColumn.KB].Value = depositOrderer.KB;
                     // 請求先情報の表示
                     ordererRow.Cells[(int)DispColumn.No].Value = depositOrderer.No;
                     ordererRow.Cells[(int)DispColumn.RequestMonth].Value = depositOrderer.RequestMonth;
@@ -1510,6 +1856,7 @@
                         SetPrice(row.Cells, (int)DispColumn.BillPrice, depositDetail.BillPrice);
                         SetPrice(row.Cells, (int)DispColumn.TaxPrice, depositDetail.TaxPrice);
                         SetPrice(row.Cells, (int)DispColumn.DepositAmount, depositDetail.DepositAmount);
+                        SetPrice(row.Cells, (int)DispColumn.TaxAmount, depositDetail.TaxAmount);
                         SetPrice(row.Cells, (int)DispColumn.DiscountAmount, depositDetail.DiscountAmount);
                         SetPrice(row.Cells, (int)DispColumn.CnstrPrice, depositDetail.CnstrPrice);
                         SetPrice(row.Cells, (int)DispColumn.Fees, depositDetail.Fees);
@@ -1516,6 +1863,7 @@
                         SetPrice(row.Cells, (int)DispColumn.OtherAdjustments, depositDetail.OtherAdjustments);
 
                         row.Cells[(int)DispColumn.DepositAmount].Style.BackColor = Color.LightCyan;
+                        row.Cells[(int)DispColumn.TaxAmount].Style.BackColor = Color.LightCyan;
                         row.Cells[(int)DispColumn.DiscountAmount].Style.BackColor = Color.LightCyan;
                         row.Cells[(int)DispColumn.CnstrPrice].Style.BackColor = Color.LightCyan;
                         row.Cells[(int)DispColumn.Fees].Style.BackColor = Color.LightCyan;
@@ -1523,7 +1871,7 @@
                         row.Cells[(int)DispColumn.DifferentAmount].Style.BackColor = Color.LightCyan;
 
                         long RequestAmount = depositDetail.BillPrice + depositDetail.TaxPrice;
-                        long DepositAmount = depositDetail.DepositAmount + depositDetail.DiscountAmount
+                        long DepositAmount = depositDetail.DepositAmount + depositDetail.TaxAmount + depositDetail.DiscountAmount
                             + depositDetail.CnstrPrice + depositDetail.Fees + depositDetail.OtherAdjustments;
                         depositDetail.DifferenceAmount = DepositAmount - RequestAmount;
 
@@ -1545,6 +1893,7 @@
                         if (CanEditDepositDetail(depositDetail))
                         {
                             row.Cells[(int)DispColumn.DepositAmount].ReadOnly = false;
+                            row.Cells[(int)DispColumn.TaxAmount].ReadOnly = false;
                             row.Cells[(int)DispColumn.DiscountAmount].ReadOnly = false;
                             row.Cells[(int)DispColumn.CnstrPrice].ReadOnly = false;
                             row.Cells[(int)DispColumn.Fees].ReadOnly = false;
@@ -1554,6 +1903,7 @@
                         else
                         {
                             row.Cells[(int)DispColumn.DepositAmount].ReadOnly = true;
+                            row.Cells[(int)DispColumn.TaxAmount].ReadOnly = true;
                             row.Cells[(int)DispColumn.DiscountAmount].ReadOnly = true;
                             row.Cells[(int)DispColumn.CnstrPrice].ReadOnly = true;
                             row.Cells[(int)DispColumn.Fees].ReadOnly = true;
@@ -1685,6 +2035,25 @@
         }
         #endregion
 
+        #region 指定行から合計行を検索
+        /// <summary>
+        /// 指定行から合計行を検索
+        /// </summary>
+        /// <param name="index"></param>
+        /// <returns></returns>
+        private int DetectSumIndex(int index)
+        {
+            for (var i = index; i >= 0; i++)
+            {
+                if (CommonMotions.cnvInt(dgvMaster.Rows[i].Cells[(int)DispColumn.KB].Value) == 3)
+                {
+                    return i;
+                }
+            }
+            return 0;
+        }
+        #endregion
+
         #region 入金請求先情報からヘッダ行を検索
         /// <summary>
         /// 入金請求先情報からヘッダ行を検索
@@ -1754,6 +2123,7 @@
         {
             // ヘッダ色、-1:非表示、0:自動計算、1:総務、2：工事
             int[] mc = {
+                0,                      // KB
                 0,                      // No  
                 -1,                     // ■請求月
                 -1,                     // ■請求No.
@@ -1769,7 +2139,8 @@
                 1,                      // 入金金額 (手形)
 
                 2,                      // ■受付番号
-                2,                      // 入金金額
+                2,                      // 入金金額（税抜）
+                2,                      // 入金金額（消費税）
                 2,                      // 値引金額
                 2,                      // 協力金
                 2,                      // 手数料
